#include "crypt.h"

void crypt(const char *src, size_t src_len, char *dst, const char *key, size_t key_len)
{
	int i;
	for (i = 0; i < src_len; i++)
		dst[i] = src[i] ^ key[i % key_len];
}

void decrypt(const char *src, size_t src_len, char *dst, const char *key, size_t key_len)
{
 	crypt(src, src_len, dst, key, key_len);
}
